Support » Plugin: PHP Compatibility Checker » PHP 7.4 ?

Viewing 15 replies - 1 through 15 (of 24 total)
  • davidvee

    (@davidvee)

    WPEngine Employee

    We are working on an update to support 7.4 now 🙂

    Thread Starter gevcen

    (@gevcen)

    Ok please reply here when update available thanks

    Thank you, we are waiting. 🙂

    davidvee

    (@davidvee)

    WPEngine Employee

    The update for 7.4 is dev complete now and is awaiting code review before release. We’re getting close 🙂

    Thread Starter gevcen

    (@gevcen)

    @davidvee
    When do you think it would be ready?
    Thanks

    davidvee

    (@davidvee)

    WPEngine Employee

    It looks like it will be right after the holidays.

    Thread Starter gevcen

    (@gevcen)

    Will you consider 7.4.1 minor release in the coming plugin upgrade?

    Better go with 7.4.2 minor release from Jan 23th 🙂

    Yep, version 7.4.2 now fixes over 60 bugs since the initial 7.4.0 release…

    But where is the promised Compatibility Checker plugin update?

    Last we heard from @davidvee above, it was due “right after the holidays” – but now in February…

    Thanks very much!

    davidvee

    (@davidvee)

    WPEngine Employee

    Hello all. Sorry for the radio silence here.

    We have been working through some blockers on the release. Specifically, we’re working through an update to PHP CodeSniffer (dependency) which has caused breaking changes.

    We’re currently working through those breaks. You can follow the progress here…

    https://github.com/wpengine/phpcompat/pull/251

    Thread Starter gevcen

    (@gevcen)

    Hi,

    The github page hasn’t been updated for about a month.

    Any idea when it would be released?

    Thanks

    Hi @davidvee

    The 7.4 update for this very helpful tool has been promised for several months now…

    Any updates here?

    Thanks!

    davidvee

    (@davidvee)

    WPEngine Employee

    I’m happy to provide an update. We experienced a snag when one of the underlying libraries received an update which introduced a slew of breaking changes which would affect updating the plugi for 7.4. We’re working through those unforeseen updates now. Sorry all for the delay here.

    roam92

    (@roam92)

    Hi @davidvee, thank you for the update and I hope you are well.

    Just checking in. Another two months have gone by, and it’s now been half a year since PHP 7.4 was released…

    Is there any hope this plugin will be updated to support PHP 7.4? Hosting companies are supporting it but it seems prudent to check each website first.

    Thanks!

    davidvee

    (@davidvee)

    WPEngine Employee

    It’s been a hot mess for sure. The refactoring required for 7.4 is a tough hill to climb! We’re thinking through the next steps now to see what is reasonable to do here.

    In the meantime, you can always use this for PHP linting depending on your level of technical expertise… https://github.com/PHPCompatibility/PHPCompatibility

    Of course, even when using the plugin, you’ll still want to test your site in a PHP 7.4 environment before it goes live. If your site is indeed functioning in a 7.4 environment a linting scan might not provide too much value.

    Of course, your host may offer you a staging site with PHP 7.4 or you could do that locally on your computer (e.g. LocalWP).

    In any case, I hate to give you the “we’re not done yet” answer, but it is what it is right now. Sorry!

Viewing 15 replies - 1 through 15 (of 24 total)
  • You must be logged in to reply to this topic.